import React from 'react';

import { storiesOf } from '@storybook/react';
import { action } from '@storybook/addon-actions';
import { linkTo } from '@storybook/addon-links';

import { Button } from '@storybook/react/demo';

import Preview from '../src/components/preview/preview';
import Renderer from '../src/components/renderer/renderer';
import BlockPreview from '../src/components/block-preview/block-preview';
import page from '../mock-pages/page.json';

// Make sure the component you are currently testing in the make up editor is the first story.
// 
// storiesOf('Block preview', module)
//   .add('Normal version', () => <BlockPreview/>)


storiesOf('Component preview', module)
  .add('Normal version', () => <Preview targetOrigin="*"/>)

storiesOf('Component renderer', module)
  .add('With a counter component', () => <Renderer page={page} endPointUrl='https://babylon.newblack.io' />)

